%global pypi_name mdit-py-plugins

# python-pytest-regressions requires the whole world to build -
# during bootstrapping process of a new Python it's better to skip it
%bcond regression_tests 1

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        2%{?dist}
Summary:        Collection of plugins for markdown-it-py

# SPDX
# Both the package and its plugins are licensed under MIT
License:        MIT
URL:            https://github.com/executablebooks/mdit-py-plugins
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
%if %{with regression_tests}
BuildRequires:  python3dist(pytest-regressions)
%endif

%global _description %{expand:
Collection of core plugins for markdown-it-py.
}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mdit_py_plugins

%check
pytest_k="not test_plugin_parse and not test_custom_renderer and not \
test_no_new_line_issue and not test_tokens"
%pytest %{!?with_regression_tests: -k "$(echo $pytest_k)"}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Karolina Surma <ksurma@redhat.com> - 0.4.0-1
- Update to 0.4.0
Resolves: rhbz#2212522

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 0.3.5-2
- Rebuilt for Python 3.12

* Wed Mar 08 2023 Karolina Surma <ksurma@redhat.com> - 0.3.5-1
- Update to 0.3.5
Resolves: rhbz#2150911

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 03 2022 Karolina Surma <ksurma@redhat.com> - 0.3.1-1
- Update to 0.3.1
Resolves: rhbz#2130161

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.3.0-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Dec 06 2021 Karolina Surma <ksurma@redhat.com> - 0.3.0-1
- Update to 0.3.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.8-2
- Rebuilt for Python 3.10

* Thu May 13 2021 Karolina Surma <ksurma@redhat.com> - 0.2.8-1
- Initial package.
